<!DOCTYPE HTML>
<html lang="en-US">
	<head>
		<meta name="mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />

		<link rel="apple-touch-icon-precomposed" sizes="180x180" href="images/favicon-music.png">
		<link rel="icon" sizes="192x192" href="images/favicon-music.png">

		<link href="css/music.css" type="text/css" rel="stylesheet">
		<title>music.programsareproofs.com</title>
	</head>
	<body>
		<!-- Splash Screens -->
		<!-- TODO: There's a lot of boilerplate in these splash screens -->
		<div id="loading" class="fullscreen">
			<div class="fullscreen-title">Music</div>
			<div class="loading-logo fullscreen-logo">
				<img class="fullscreen-img" src="images/music-loading.png">
			</div>
			<div class="fullscreen-text">Loading...</div>
		</div>


		<div id="denied" class="fullscreen">
			<div class="fullscreen-title">Permission Denied</div>
			<div class="denied-logo fullscreen-logo">
				<img class="fullscreen-img" src="images/music-loading.png">
			</div>
			<div class="fullscreen-text">Music is restricted to the local network</div>
		</div>

		<div id="disconnect" class="fullscreen">
			<div class="fullscreen-title">Connection Lost</div>
			<div class="disconnect-logo fullscreen-logo">
				<img class="fullscreen-img" src="images/music-loading.png">
			</div>
			<div class="fullscreen-text">Attempts to reconnect to the music server failed</div>
		</div>

		<div id="booting" class="fullscreen">
			<div class="fullscreen-title">Music</div>
			<div class="loading-logo fullscreen-logo">
				<img class="fullscreen-img" src="images/music-loading.png">
			</div>
			<div class="fullscreen-text">Server booting up...</div>
		</div>
		<!-- End Splash Screens -->

		<div id="navigation">
			<span onclick="UI.tab('musiclist')">Music</span>
			<span onclick="UI.tab('player')">Playing</span>
			<span onclick="UI.tab('queue')">Queue</span>
		</div>

		<div id="player" class="view">
			<div id="playing" class="panel">
				<div id="title">No song</div>
				by
				<div id="artist">No artist</div>
			</div>

			<div id="coverart"></div>

			<!--
			Needs a new ui on the queue display
			Queue status (num results, length)
			Queue should be able to move up and down
			-->

			<div id="controls" class="panel">
				<div id="volume-controls">
					<span id="volume-label">Volume</span>
					<input id="volume" type="range" min="0" max="100" step="1" value="100">
					<span id="volume-level">100</span>
				</div>
				<div id="playback-controls">
					<span id="time-elapsed" class="time">0:00</span>
					<input id="position" type="range" min="0" max="1" step="1" value="0">
					<span id="time-remaining" class="time">???</span>
				</div>

				<div id="song-controls">
					<span id="prev" class="control" onclick="UI.PlayerTab.prevButton();">Prev</span>
					<span id="play" class="control" onclick="UI.PlayerTab.playButton();">Play</span>
					<span id="next" class="control" onclick="UI.PlayerTab.nextButton();">Next</span>
					<!-- TODO: shuffle -->
				</div>
			</div>
		</div>

		<div id="queue" class="view">
			<div id="queue-clear" onclick="UI.QueueTab.clear();">Clear</div>
			<div id="queue-list"></div>
		</div>

		<div id="musiclist" class="view">
			<input id="search" type="search" oninput="UI.MusicTab.search();" placeholder="Search library">

			<div id="playlist">
				<div id="songs">
					<!-- We need this extra div to enable efficient scrolling, as
						 we can't set the height on #playlist because it is a flex
						 element. -->
				</div>
			</div>

		</div>
	</body>
	<script type="text/javascript" src="js/music.js"></script>
</html>

